Skip to main content
`Ctrl`+`K`

# TSMPRKType

String with the name of a partitioned Runge-Kutta `TSMPRK` type

## Synopsis

    #include <petscts.h>
    typedef const char *TSMPRKType;
    #define TSMPRK2A22 "2a22"
    #define TSMPRK2A23 "2a23"
    #define TSMPRK2A32 "2a32"
    #define TSMPRK2A33 "2a33"
    #define TSMPRKP2   "p2"
    #define TSMPRKP3   "p3"

## See Also

TS: Scalable ODE and DAE Solvers, `TSMPRKSetType()`, `TS`, `TSMPRK`, `TSMPRKRegister()`

## Level

beginner

## Location

include/petscts.h

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages